Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1046692 - Review Request: libcss - a CSS parser and selection engine
Summary: Review Request: libcss - a CSS parser and selection engine
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1046688 1046690 1046691
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-26 15:26 UTC by David Tardon
Modified: 2014-08-14 11:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-10 15:17:13 UTC
Type: ---
Embargoed:
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description David Tardon 2013-12-26 15:26:36 UTC
Spec URL: http://dtardon.fedorapeople.org/rpm/libcss.spec
SRPM URL: http://dtardon.fedorapeople.org/rpm/libcss-0.2.0-1.fc20.src.rpm
Description:
LibCSS is a CSS (Cascading Style Sheet) parser and selection engine, written in C. It was developed as part of the NetSurf project.

Fedora Account System Username: dtardon

Comment 2 Christopher Meng 2014-01-10 06:30:26 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated




===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)", "Unknown or generated". 15 files have unknown
     license. Detailed output of licensecheck:


MIT/X11 (BSD like)
------------------
libcss-0.2.0/build/mkprops.pl
libcss-0.2.0/include/libcss/computed.h
libcss-0.2.0/include/libcss/errors.h
libcss-0.2.0/include/libcss/font_face.h
libcss-0.2.0/include/libcss/fpmath.h
libcss-0.2.0/include/libcss/functypes.h
libcss-0.2.0/include/libcss/hint.h
libcss-0.2.0/include/libcss/libcss.h
libcss-0.2.0/include/libcss/properties.h
libcss-0.2.0/include/libcss/select.h
libcss-0.2.0/include/libcss/stylesheet.h
libcss-0.2.0/include/libcss/types.h
libcss-0.2.0/src/bytecode/bytecode.h
libcss-0.2.0/src/bytecode/opcodes.h
libcss-0.2.0/src/charset/detect.c
libcss-0.2.0/src/charset/detect.h
libcss-0.2.0/src/lex/lex.c
libcss-0.2.0/src/lex/lex.h
libcss-0.2.0/src/parse/font_face.c
libcss-0.2.0/src/parse/font_face.h
libcss-0.2.0/src/parse/important.c
libcss-0.2.0/src/parse/important.h
libcss-0.2.0/src/parse/language.c
libcss-0.2.0/src/parse/language.h
libcss-0.2.0/src/parse/parse.c
libcss-0.2.0/src/parse/parse.h
libcss-0.2.0/src/parse/properties/azimuth.c
libcss-0.2.0/src/parse/properties/background.c
libcss-0.2.0/src/parse/properties/background_position.c
libcss-0.2.0/src/parse/properties/border.c
libcss-0.2.0/src/parse/properties/border_color.c
libcss-0.2.0/src/parse/properties/border_spacing.c
libcss-0.2.0/src/parse/properties/border_style.c
libcss-0.2.0/src/parse/properties/border_width.c
libcss-0.2.0/src/parse/properties/clip.c
libcss-0.2.0/src/parse/properties/column_rule.c
libcss-0.2.0/src/parse/properties/columns.c
libcss-0.2.0/src/parse/properties/content.c
libcss-0.2.0/src/parse/properties/css_property_parser_gen.c
libcss-0.2.0/src/parse/properties/cue.c
libcss-0.2.0/src/parse/properties/cursor.c
libcss-0.2.0/src/parse/properties/elevation.c
libcss-0.2.0/src/parse/properties/font.c
libcss-0.2.0/src/parse/properties/font_family.c
libcss-0.2.0/src/parse/properties/font_weight.c
libcss-0.2.0/src/parse/properties/list_style.c
libcss-0.2.0/src/parse/properties/list_style_type.c
libcss-0.2.0/src/parse/properties/margin.c
libcss-0.2.0/src/parse/properties/opacity.c
libcss-0.2.0/src/parse/properties/outline.c
libcss-0.2.0/src/parse/properties/padding.c
libcss-0.2.0/src/parse/properties/pause.c
libcss-0.2.0/src/parse/properties/play_during.c
libcss-0.2.0/src/parse/properties/properties.c
libcss-0.2.0/src/parse/properties/properties.h
libcss-0.2.0/src/parse/properties/quotes.c
libcss-0.2.0/src/parse/properties/text_decoration.c
libcss-0.2.0/src/parse/properties/utils.c
libcss-0.2.0/src/parse/properties/utils.h
libcss-0.2.0/src/parse/properties/voice_family.c
libcss-0.2.0/src/parse/propstrings.c
libcss-0.2.0/src/parse/propstrings.h
libcss-0.2.0/src/select/computed.c
libcss-0.2.0/src/select/computed.h
libcss-0.2.0/src/select/dispatch.c
libcss-0.2.0/src/select/dispatch.h
libcss-0.2.0/src/select/font_face.c
libcss-0.2.0/src/select/font_face.h
libcss-0.2.0/src/select/hash.c
libcss-0.2.0/src/select/hash.h
libcss-0.2.0/src/select/properties/azimuth.c
libcss-0.2.0/src/select/properties/background_attachment.c
libcss-0.2.0/src/select/properties/background_color.c
libcss-0.2.0/src/select/properties/background_image.c
libcss-0.2.0/src/select/properties/background_position.c
libcss-0.2.0/src/select/properties/background_repeat.c
libcss-0.2.0/src/select/properties/border_bottom_color.c
libcss-0.2.0/src/select/properties/border_bottom_style.c
libcss-0.2.0/src/select/properties/border_bottom_width.c
libcss-0.2.0/src/select/properties/border_collapse.c
libcss-0.2.0/src/select/properties/border_left_color.c
libcss-0.2.0/src/select/properties/border_left_style.c
libcss-0.2.0/src/select/properties/border_left_width.c
libcss-0.2.0/src/select/properties/border_right_color.c
libcss-0.2.0/src/select/properties/border_right_style.c
libcss-0.2.0/src/select/properties/border_right_width.c
libcss-0.2.0/src/select/properties/border_spacing.c
libcss-0.2.0/src/select/properties/border_top_color.c
libcss-0.2.0/src/select/properties/border_top_style.c
libcss-0.2.0/src/select/properties/border_top_width.c
libcss-0.2.0/src/select/properties/bottom.c
libcss-0.2.0/src/select/properties/break_after.c
libcss-0.2.0/src/select/properties/break_before.c
libcss-0.2.0/src/select/properties/break_inside.c
libcss-0.2.0/src/select/properties/caption_side.c
libcss-0.2.0/src/select/properties/clear.c
libcss-0.2.0/src/select/properties/clip.c
libcss-0.2.0/src/select/properties/color.c
libcss-0.2.0/src/select/properties/column_count.c
libcss-0.2.0/src/select/properties/column_fill.c
libcss-0.2.0/src/select/properties/column_gap.c
libcss-0.2.0/src/select/properties/column_rule_color.c
libcss-0.2.0/src/select/properties/column_rule_style.c
libcss-0.2.0/src/select/properties/column_rule_width.c
libcss-0.2.0/src/select/properties/column_span.c
libcss-0.2.0/src/select/properties/column_width.c
libcss-0.2.0/src/select/properties/content.c
libcss-0.2.0/src/select/properties/counter_increment.c
libcss-0.2.0/src/select/properties/counter_reset.c
libcss-0.2.0/src/select/properties/cue_after.c
libcss-0.2.0/src/select/properties/cue_before.c
libcss-0.2.0/src/select/properties/cursor.c
libcss-0.2.0/src/select/properties/direction.c
libcss-0.2.0/src/select/properties/display.c
libcss-0.2.0/src/select/properties/elevation.c
libcss-0.2.0/src/select/properties/empty_cells.c
libcss-0.2.0/src/select/properties/float.c
libcss-0.2.0/src/select/properties/font_family.c
libcss-0.2.0/src/select/properties/font_size.c
libcss-0.2.0/src/select/properties/font_style.c
libcss-0.2.0/src/select/properties/font_variant.c
libcss-0.2.0/src/select/properties/font_weight.c
libcss-0.2.0/src/select/properties/height.c
libcss-0.2.0/src/select/properties/helpers.c
libcss-0.2.0/src/select/properties/helpers.h
libcss-0.2.0/src/select/properties/left.c
libcss-0.2.0/src/select/properties/letter_spacing.c
libcss-0.2.0/src/select/properties/line_height.c
libcss-0.2.0/src/select/properties/list_style_image.c
libcss-0.2.0/src/select/properties/list_style_position.c
libcss-0.2.0/src/select/properties/list_style_type.c
libcss-0.2.0/src/select/properties/margin_bottom.c
libcss-0.2.0/src/select/properties/margin_left.c
libcss-0.2.0/src/select/properties/margin_right.c
libcss-0.2.0/src/select/properties/margin_top.c
libcss-0.2.0/src/select/properties/max_height.c
libcss-0.2.0/src/select/properties/max_width.c
libcss-0.2.0/src/select/properties/min_height.c
libcss-0.2.0/src/select/properties/min_width.c
libcss-0.2.0/src/select/properties/opacity.c
libcss-0.2.0/src/select/properties/orphans.c
libcss-0.2.0/src/select/properties/outline_color.c
libcss-0.2.0/src/select/properties/outline_style.c
libcss-0.2.0/src/select/properties/outline_width.c
libcss-0.2.0/src/select/properties/overflow.c
libcss-0.2.0/src/select/properties/padding_bottom.c
libcss-0.2.0/src/select/properties/padding_left.c
libcss-0.2.0/src/select/properties/padding_right.c
libcss-0.2.0/src/select/properties/padding_top.c
libcss-0.2.0/src/select/properties/page_break_after.c
libcss-0.2.0/src/select/properties/page_break_before.c
libcss-0.2.0/src/select/properties/page_break_inside.c
libcss-0.2.0/src/select/properties/pause_after.c
libcss-0.2.0/src/select/properties/pause_before.c
libcss-0.2.0/src/select/properties/pitch.c
libcss-0.2.0/src/select/properties/pitch_range.c
libcss-0.2.0/src/select/properties/play_during.c
libcss-0.2.0/src/select/properties/position.c
libcss-0.2.0/src/select/properties/properties.h
libcss-0.2.0/src/select/properties/quotes.c
libcss-0.2.0/src/select/properties/richness.c
libcss-0.2.0/src/select/properties/right.c
libcss-0.2.0/src/select/properties/speak.c
libcss-0.2.0/src/select/properties/speak_header.c
libcss-0.2.0/src/select/properties/speak_numeral.c
libcss-0.2.0/src/select/properties/speak_punctuation.c
libcss-0.2.0/src/select/properties/speech_rate.c
libcss-0.2.0/src/select/properties/stress.c
libcss-0.2.0/src/select/properties/table_layout.c
libcss-0.2.0/src/select/properties/text_align.c
libcss-0.2.0/src/select/properties/text_decoration.c
libcss-0.2.0/src/select/properties/text_indent.c
libcss-0.2.0/src/select/properties/text_transform.c
libcss-0.2.0/src/select/properties/top.c
libcss-0.2.0/src/select/properties/unicode_bidi.c
libcss-0.2.0/src/select/properties/vertical_align.c
libcss-0.2.0/src/select/properties/visibility.c
libcss-0.2.0/src/select/properties/voice_family.c
libcss-0.2.0/src/select/properties/volume.c
libcss-0.2.0/src/select/properties/white_space.c
libcss-0.2.0/src/select/properties/width.c
libcss-0.2.0/src/select/properties/windows.c
libcss-0.2.0/src/select/properties/word_spacing.c
libcss-0.2.0/src/select/properties/z_index.c
libcss-0.2.0/src/select/propget.h
libcss-0.2.0/src/select/propset.h
libcss-0.2.0/src/select/select.c
libcss-0.2.0/src/select/select.h
libcss-0.2.0/src/stylesheet.c
libcss-0.2.0/src/stylesheet.h
libcss-0.2.0/src/utils/errors.c
libcss-0.2.0/src/utils/parserutilserror.h
libcss-0.2.0/src/utils/utils.c
libcss-0.2.0/src/utils/utils.h

Unknown or generated
--------------------
libcss-0.2.0/examples/example1.c
libcss-0.2.0/test/csdetect.c
libcss-0.2.0/test/css21.c
libcss-0.2.0/test/data/parse/makefixed.pl
libcss-0.2.0/test/data/parse/makeopv.pl
libcss-0.2.0/test/dump.h
libcss-0.2.0/test/dump_computed.h
libcss-0.2.0/test/lex-auto.c
libcss-0.2.0/test/lex.c
libcss-0.2.0/test/number.c
libcss-0.2.0/test/parse-auto.c
libcss-0.2.0/test/parse.c
libcss-0.2.0/test/parse2-auto.c
libcss-0.2.0/test/select-auto.c
libcss-0.2.0/test/testutils.h

[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 71680 bytes in 9 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: libcss-0.2.0-2.fc21.i686.rpm
          libcss-devel-0.2.0-2.fc21.i686.rpm
          libcss-0.2.0-2.fc21.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint libcss libcss-devel
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
libcss (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6
    libparserutils.so.0
    libwapcaplet.so.0
    rtld(GNU_HASH)

libcss-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libcss(x86-32)
    libcss.so.0
    pkgconfig(libparserutils)
    pkgconfig(libwapcaplet)



Provides
--------
libcss:
    libcss
    libcss(x86-32)
    libcss.so.0

libcss-devel:
    libcss-devel
    libcss-devel(x86-32)
    pkgconfig(libcss)



Source checksums
----------------
http://download.netsurf-browser.org/libs/releases/libcss-0.2.0-src.tar.gz :
  CHECKSUM(SHA256) this package     : 31b08f6f2259366ccad8b455440f364dc33e7dc78cdb0cf4905da56d5372f613
  CHECKSUM(SHA256) upstream package : 31b08f6f2259366ccad8b455440f364dc33e7dc78cdb0cf4905da56d5372f613


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/bin/fedora-review -rvn libcss-0.2.0-2.fc20.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: BATCH, EPEL5, EXARCH, DISTTAG

----------------------------
PACKAGE APPROVED.

Comment 3 David Tardon 2014-01-10 07:38:57 UTC
New Package SCM Request
=======================
Package Name: libcss
Short Description: A CSS parser and selection engine
Owners: dtardon caolanm
Branches: 
InitialCC:

Comment 4 Gwyn Ciesla 2014-01-10 13:18:04 UTC
Git done (by process-git-requests).

Comment 5 Christopher Meng 2014-08-14 04:41:56 UTC
Package Change Request
======================
Package Name: libcss
New Branches: f20
Owners: dtardon caolanm cicku

Comment 6 Gwyn Ciesla 2014-08-14 11:50:39 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.